Проблема с установкой Commerce Kickstart

Комментарии

Аватар пользователя nicplat nicplat 8 августа 2012 в 17:34

Единственное что нашел на http://drupal.org/documentation/install/troubleshoot это:

"Fatal error: Maximum function nesting level of 'xxx' reached"

If you have Xdebug PHP extension installed on your server, you might encounter this error. The solution is simple, you will need to change/create a parameter on Xdebug configuration file :
xdebug.max_nesting_level=XXX
By default, the number is 100. Don't forget to restart Apache.
You can then proceed to installation or refresh error page to end it.

В сети кроме этого тоже ничего нет. В php.ini изначально прописано xdebug.max_nesting_level=100 , пробовал 200 как рекомендуют не помогло

Сборка на http://drupal.org/project/commerce_kickstart

Other releases
Version Downloads Date Links
7.x-2.0-alpha3 tar.gz (44.72 MB) | zip (47.01 MB) 2012-Jul-20 Notes

Аватар пользователя VasyOK VasyOK 9 августа 2012 в 0:14

Не морочьте голову с локалкой. Ставьте на ИТ-Патруль. За 100 руб/мес подскажут как установить.

Аватар пользователя heron77 heron77 9 августа 2012 в 14:56

1. А зачем ставишь альфа 3 ?? Чем тебе стабильный релиз не угодил? Или геммороя на задницу ищешь? Это же все равно не готовый интернет-магазин. При любых раскладах допиливать надо будет. Так уж лучше допиливать стабильный релиз. Есть же 7.x-1.9

2. Я денвером пользовался лишь однажды. Не понравилось. С тех пор всегда все делал на реальном сервере. Когда понадобилось на рабочей машине все запустить и покрутить, то установил в отдельном разделе Линух и поднял под ним полноценный LAMP.
А вообще недавно устанавливал для одноразовой работы под виндой Open Server - http://open-server.ru/ . На мой взгляд, на порядок более удобная вещь и Drupal 7 у меня под ним нормально работал.

Аватар пользователя nicplat nicplat 9 августа 2012 в 16:32

Если я не ошибаюсь 7.x-1.9 это просто болванка с модулями а 7.x-2.0-alpha3 демо сайт, хотелось бы покопаться узнать изнутри настройки автора.
А http://open-server.ru/ надо попробовать, может правда лучше тянуть будет.

Аватар пользователя heron77 heron77 9 августа 2012 в 17:30

В Дрюпале почти всегда сборка - это болванка с модулями. А dev-версия это версия для разработчиков. Никаких настроек дополнительных и демо там нет. И она как раз запросто может не работать. Особенно в условиях денвера. Потому, что разработчик, во первых мог допустить ошибку при создании сборки, а во-вторых, потому, что для варианта dev могут быть временно использованы какие-то особые настройки сервера. И вообще версия 2 до сих пор не вышла из состояния Alfa. То есть, те же грабли, что и с комерсбоксом, вид сбоку

Аватар пользователя nicplat nicplat 9 августа 2012 в 17:42

7.x-1.9 эта на ура установилась сразу, буду пока с ней разбираться а там может и 2 подоспеет. Спасибо.

Аватар пользователя multpix multpix 10 августа 2012 в 2:13

"heron77" wrote:
Никаких настроек дополнительных и демо там нет

касательно 7.x-2 кикстарта - поставь и прозрей))

Аватар пользователя nicplat nicplat 10 августа 2012 в 12:24

multpix wrote:
"heron77" wrote:
Никаких настроек дополнительных и демо там нет

касательно 7.x-2 кикстарта - поставь и прозрей))

Я хочу прозреть, но поставить пока не могу #Denwer - может в нем вся проблема?

Аватар пользователя dandoubis dandoubis 10 августа 2012 в 12:59

На денвере не ставил. Использую апача. При дефолтовых настройках вылетали всевозможные ошибки, в т.ч. и указанная.
Решилось увеличением памяти для ПХП.

Аватар пользователя dandoubis dandoubis 10 августа 2012 в 13:17

Пока еще не разбирался сколько необходимо. В последнем варианте ставил 512.

Аватар пользователя Dan Dan 10 августа 2012 в 17:50

Память ни при чём.
http://drupal.org/node/1663314

Quote:
Putting a xdebug.max_nesting_level=500 in xdebug's conf solved the issue. (maybe you can try with a lower value, but I didn't tested that)

Ошибка, по-русски: превышено максимальная глубина вызова функций.
Решение, по-русски: в PHP.INI добавить xdebug.max_nesting_level=500

Аватар пользователя nicplat nicplat 10 августа 2012 в 18:39

Сделал даже больше http://drupal.org/node/1663314 Спасибо за ссылку!
Там же только ниже

I combined several suggestions, one at a time, and finally met with success installing alpha 3 on my Windows 7 system.

in php.ini (if using wamp, select php folder)

set max_input_nesting_level = 200
add xdebug.max_nesting_level=500
set memory_limit
= 256M

in my.ini (if using wamp, select mySQL folder)

tse max_allowed_packet = 16M

Но в конце установки вылазит уже другая ошибка вот это

Короче жесть. Походу Денвер не отесан. Все руки не доходят до эксперементирования

Аватар пользователя Dan Dan 10 августа 2012 в 21:02

"nicplat" wrote:
Но в конце установки вылазит уже другая ошибка вот это

Вижу всё ту же ошибку.

Аватар пользователя nicplat nicplat 11 августа 2012 в 7:50

Dan wrote:
"nicplat" wrote:
Но в конце установки вылазит уже другая ошибка вот это

Вижу всё ту же ошибку.

да, отчаяние убивает бдительность Smile

Аватар пользователя volocuga@drupal.org volocuga@drupal.org 10 августа 2012 в 23:46

"nicplat" wrote:
Походу Денвер не отесан

Поставь wampserver. Только не забудь включить потом в настройках апача rewrite_module+увеличить max_execution_time с последующей перезагрузкой апача и пхп

Аватар пользователя Dan Dan 11 августа 2012 в 6:47

"<a href="mailto:volocuga@drupal.org">volocuga@drupal.org</a>" wrote:
Поставь wampserver. Только не забудь включить потом в настройках апача rewrite_module+увеличить max_execution_time с последующей перезагрузкой апача и пхп

Ты сам-то пробовал? Ставиться нормально Commerce2? Или советуешь просто так?
Будет у него тоже самое, т.к. размер стэка в 100 элементов в PHP по умолчанию.

"<a href="http://xdebug.org/docs/basic">http://xdebug.org/docs/basic</a>" wrote:
xdebug.max_nesting_level
Type: integer, Default value: 100
Controls the protection mechanism for infinite recursion protection. The value of this setting is the maximum level of nested functions that are allowed before the script will be aborted.

Аватар пользователя Dan Dan 11 августа 2012 в 10:06

"nicplat" wrote:
да, отчаяние убивает бдительность :)

Значит параметр не изменён. Может быть несколько файлов php.ini. Поменяй во всех.

Аватар пользователя nicplat nicplat 11 августа 2012 в 10:20

Dan wrote:
"nicplat" wrote:
да, отчаяние убивает бдительность :)

Значит параметр не изменён. Может быть несколько файлов php.ini. Поменяй во всех.

В том то и дело, что во всем каталоге один файл php.ini

Аватар пользователя volocuga@drupal.org volocuga@drupal.org 11 августа 2012 в 12:54

"Dan" wrote:
Ты сам-то пробовал? Ставиться нормально Commerce2? Или советуешь просто так?

И просто так и применительно к кикстарт 2. В случае с кикстарт 2 вылазит другая ошибка - неопределённая функция node_get_types (не помню точно)

Насчёт Денвера, глобально - говно в целом

Аватар пользователя Kod25 Kod25 31 июля 2013 в 11:28

"multpix" wrote:

"multpix" wrote:
Никаких настроек дополнительных и демо там нет

Здравствуйте!
Помогите установить этот дистрибутив, не получается((((

Аватар пользователя multpix multpix 31 июля 2013 в 12:39

"Kod25" wrote:

что конкретно на получается?
на каком этапе получаем ошибку, и какую?

Аватар пользователя Kod25 Kod25 31 июля 2013 в 12:48

Спасибо, вроде установила!)))) очень клевая штука! до этого момента я использовала платные модули интернет-магазинов, которые все время не устраивали, надеюсь, что данный модуль порадует своими функциональными возможностями!!